com.marklogic.http

## Class MultipartBuffer

- java.lang.Object
- - com.marklogic.http.MultipartBuffer

-     public class MultipartBuffer
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultipartBuffer(MultipartSplitter splitter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `java.lang.String` | `getBodyAsString()`
    `java.io.InputStream` | `getBodyStream()`
    `java.lang.String` | `getHeader(java.lang.String name)`
    `long` | `getTotalBytesRead()`
    `boolean` | `hasNext()`
    `boolean` | `isClosed()`
    `boolean` | `next()`
    `java.io.InputStream` | `nextStream()` Get an input stream on the next chunk of the buffer.
    `int` | `read(byte[] buf, int off, int len)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultipartBuffer

          public MultipartBuffer(MultipartSplitter splitter)

  - ### Method Detail

    - #### getTotalBytesRead

          public long getTotalBytesRead()

    - #### getHeader

          public java.lang.String getHeader(java.lang.String name)

    - #### close

          public void close()
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### isClosed

          public boolean isClosed()

    - #### read

          public int read(byte[] buf,
                          int off,
                          int len)
                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getBodyAsString

          public java.lang.String getBodyAsString()
                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### nextStream

          public java.io.InputStream nextStream()
                                         throws java.io.IOException

      Get an input stream on the next chunk of the buffer.
      Returns:
        a java.io.InputStream that reads just the next chunk
      Throws:
        `java.io.IOException`

    - #### next

          public boolean next()
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### hasNext

          public boolean hasNext()
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getBodyStream

          public java.io.InputStream getBodyStream()

Copyright © 2025 MarkLogic Corporation. All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com